Debian Bug report logs - #533868
manpages-dev: Number of parameters of sys_clone

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Shachar Shemesh <shachar@debian.org>

Date: Sun, 21 Jun 2009 04:57:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/3.21-1

Fixed in version manpages/3.22-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#533868; Package manpages-dev. (Sun, 21 Jun 2009 04:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shachar Shemesh <shachar@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Sun, 21 Jun 2009 04:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shachar Shemesh <shachar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: Number of parameters of sys_clone
Date: Sun, 21 Jun 2009 04:54:20 +0000
Package: manpages-dev
Version: 3.21-1
Severity: normal

In the clone(2) man page, sys_clone is described (the kernel level system call). The description there has inconsistent argument count.

The first paragraph claims that sys_clone only has the flags and child stack arguments (making a total of two).

The third paragraph says that kernel 2.5.49 added two more arguments, making a total of five.

Either an argument is missing from the description, or someone made an algebric error.

Shachar

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages manpages-dev depends on:
ii  manpages                      3.21-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

Versions of packages manpages-dev suggests:
ii  man-db [man-browser]          2.5.5-2    on-line manual pager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#533868; Package manpages-dev. (Sun, 21 Jun 2009 13:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sun, 21 Jun 2009 13:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 533868@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Shachar Shemesh <shachar@debian.org>, 533868@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#533868: manpages-dev: Number of parameters of sys_clone
Date: Sun, 21 Jun 2009 15:34:33 +0200
tags 533868 fixed-upstream
thanks

Hello Shachar

On 6/21/09, Shachar Shemesh <shachar@debian.org> wrote:
> Package: manpages-dev
>  Version: 3.21-1
>  Severity: normal
>
>  In the clone(2) man page, sys_clone is described (the kernel level system call). The
> description there has inconsistent argument count.
>
>  The first paragraph claims that sys_clone only has the flags and child stack arguments
> (making a total of two).
>
>  The third paragraph says that kernel 2.5.49 added two more arguments, making a total
> of five.
>
>  Either an argument is missing from the description, or someone made an algebric error.

I think it's a case of bit rot. 2.5.32 added 1 new argument; 2.5.49
added two more. But much of the text in the paragraph that you refer
is repeated elsewhere in the page, si I've simplified that paragraph
to this:

[[
In Linux 2.4 and earlier,
.BR clone ()
does not take arguments
.IR ptid ,
.IR tls ,
and
.IT ctid .
]]

Thanks for your report!

Cheers,

Michael

-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Sun, 21 Jun 2009 13:36:07 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Mon, 27 Jul 2009 13:15:08 GMT) Full text and rfc822 format available.

Notification sent to Shachar Shemesh <shachar@debian.org>:
Bug acknowledged by developer. (Mon, 27 Jul 2009 13:15:08 GMT) Full text and rfc822 format available.

Message #17 received at 533868-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 533868-close@bugs.debian.org
Subject: Bug#533868: fixed in manpages 3.22-1
Date: Mon, 27 Jul 2009 12:47:09 +0000
Source: manpages
Source-Version: 3.22-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.22-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.22-1_all.deb
manpages_3.22-1.diff.gz
  to pool/main/m/manpages/manpages_3.22-1.diff.gz
manpages_3.22-1.dsc
  to pool/main/m/manpages/manpages_3.22-1.dsc
manpages_3.22-1_all.deb
  to pool/main/m/manpages/manpages_3.22-1_all.deb
manpages_3.22.orig.tar.gz
  to pool/main/m/manpages/manpages_3.22.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 533868@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 27 Jul 2009 10:45:17 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.22-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 528628 533868
Changes: 
 manpages (3.22-1) unstable; urgency=low
 .
   * New upstream version
     . Correction to clone(2) (closes: Bug#533868)
     . Improvement to environ(7) (closes: Bug#528628)
Checksums-Sha1: 
 23ee1ef13511f3b483bb423950db13b517016fc6 964 manpages_3.22-1.dsc
 cdf55d0bf6e1cc3715c37871e67e2bcb8a737ece 1596076 manpages_3.22.orig.tar.gz
 18b01d3a6b15993254395119bbbbb827e35685d9 48395 manpages_3.22-1.diff.gz
 ac7a7d5126aeff87a8c79e44176603a9caaf3501 717922 manpages_3.22-1_all.deb
 62d694a5daa0d26bf0e1e0dc30b1afc8f204369e 1558814 manpages-dev_3.22-1_all.deb
Checksums-Sha256: 
 c581aae2bcb322cfd22efa069af313bc5fdee48df7be106bd6e6d5ff98123df7 964 manpages_3.22-1.dsc
 4fe7c1a9d03b664527c478d1ff303ce8245a2e8b5503e0524fec21c430e76eb0 1596076 manpages_3.22.orig.tar.gz
 07bca5444a6fdb731793f5588d30dbc805067be147a3b21c16dd79bf75289283 48395 manpages_3.22-1.diff.gz
 21292637aae71545afe839574c87a0191fae6534b0730c7cbb32910c091eb762 717922 manpages_3.22-1_all.deb
 d92f863c37b4b17fba6cf471ebd9f68325234fb0cb20aee8bbce19daa7981af4 1558814 manpages-dev_3.22-1_all.deb
Files: 
 9c6928f60d5c933b2b3ddc71839bd1d9 964 doc important manpages_3.22-1.dsc
 409e7325188d8734a63c823fd58c7dce 1596076 doc important manpages_3.22.orig.tar.gz
 75fb2dfad56b0e3ebd2e604c74d676fb 48395 doc important manpages_3.22-1.diff.gz
 682d36fd78b811f14d85c940d685027c 717922 doc important manpages_3.22-1_all.deb
 c01e186282143d412cfb866ed648d5a5 1558814 doc optional manpages-dev_3.22-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKbYn5W5ql+IAeqTIRAjTuAJwLxdXyR3UsYau7um3CVCTLWnvf6gCaAuyn
+xobNg04uWDJIy1ze692198=
=G156
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Sep 2009 07:39:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:22:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.